Storage Type

The storage type resource.

Basehttps://rest.carbon.ms/storageType
GET/storageType

List storage types

Retrieve a paginated list of storage types. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/storageType
curl --request GET \
  --url 'https://rest.carbon.ms/storageType?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "companyId": "xyz789",
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "updatedBy": "string",
    "updatedAt": "2026-01-01T00:00:00Z",
    "customFields": "string"
  }
]
GET/storageType

Retrieve a storage type

Fetch a single storage type by filtering on `id`.

Query parameters

idstring

Match on the storage type's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/storageType
curl --request GET \
  --url 'https://rest.carbon.ms/storageType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z",
  "customFields": "string"
}
POST/storageType

Create a storage type

Create a new storage type.

Body parameters

namestringrequired
companyIdstringrequired

References company.id

customFieldsobject
POSThttps://rest.carbon.ms/storageType
curl --request POST \
  --url https://rest.carbon.ms/storageType \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z",
  "customFields": "string"
}
PATCH/storageType

Update a storage type

Update an existing storage type, matched on `id`.

Body parameters

namestringrequired
companyIdstringrequired

References company.id

customFieldsobject
PATCHhttps://rest.carbon.ms/storageType
curl --request PATCH \
  --url 'https://rest.carbon.ms/storageType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "companyId": "xyz789",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z",
  "customFields": "string"
}
DELETE/storageType

Delete a storage type

Delete a storage type, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the storage type to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/storageType
curl --request DELETE \
  --url 'https://rest.carbon.ms/storageType?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content